Subject: Re: bug#38564: 27.0.50; macOS "emacs -nw" git-gutter-mode segfault

From: Robert Pluim <[email-masked]>
Date: Wed, 11 Dec 2019 16:35:33 +0100

tags 38564 fixed
close 38564 27.1
quit

>>>>> On Wed, 11 Dec 2019 07:15:56 -0800, Mike Hamrick <[email-masked]> said:

    Mike> Robert Pluim writes:
    >> Iʼm surprised nobody's seen this before.

    Mike> I was able to find a couple of references to the bug that were reported
    Mike> downstream.

    Mike> https://github.com/d12frosted/homebrew-emacs-plus/issues/112
    Mike> https://github.com/hlissner/doom-emacs/issues/1170

Ah. Iʼm a bit sad they didnʼt report that back to us. Adding it to
'known upstream bugs' on github doesnʼt really help get things fixed.

    >> Right idea, but one layer lower than needed. ns_color_index_to_rgba
    >> should not be calling ns_lookup_indexed_color in non-gui mode. Try
    >> this instead:

    Mike> Your patch does indeed fix the bug for me! It also explains why this
    Mike> issue doesn't exist in 26.2, as the ns_color_index_to_rgba function was
    Mike> added a little over a year ago. I'm a bit shocked at how quickly my bug
    Mike> report reached someone intimately familiar with the underlying code.

I added it, so as the guilty party Iʼm obligated to fix it forever :-)

Thanks for the testing, committed to master as ea84a95bd8 , closing the bug.

Robert